Summary: Atomic Rocket Turtle rpm archive configuration
Name: atomic-release
Version: 1.0
Release: 21.art
License: GPL
Group: System Environment/Base
URL: http://www.atomicrocketturtle.com/

Packager:  Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor: Atomic Rocket Turtle, http://www.atomicrocketturtle.com/

Source0: mirrors-atomic
Source1:        RPM-GPG-KEY.art.txt
Source2:	RPM-GPG-KEY.atomicorp.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch


%description
Atomic Rocket Turtle RPM archive contains open source packages for RPM based distributions, CentOS, Fedora and Red Hat Enterprise Linux.

This package contains the repository GPG key in addition to configuration files for yum.

%prep
#%setup -c 

%build
name="CentOS / Red Hat Enterprise Linux"
version="5"
path="centos"


%{?el7:name='CentOS / Red Hat Enterprise Linux'; version='7'; path="centos"; }
%{?el6:name='CentOS / Red Hat Enterprise Linux'; version='6'; path="centos"; }
%{?el5:name='CentOS / Red Hat Enterprise Linux'; version='5'; path="centos"; }
%{?el4:name='CentOS / Red Hat Enterprise Linux'; version='4'; path="centos"; }
%{?el3:name='CentOS / Red Hat Enterprise Linux'; version='3'; path="centos"; }
%{?fc31:name='Fedora'; version='31'; path="fedora"; }
%{?fc30:name='Fedora'; version='30'; path="fedora"; }
%{?fc29:name='Fedora'; version='29'; path="fedora"; }
%{?fc28:name='Fedora'; version='28'; path="fedora"; }
%{?fc27:name='Fedora'; version='27'; path="fedora"; }
%{?fc26:name='Fedora'; version='26'; path="fedora"; }
%{?fc25:name='Fedora'; version='25'; path="fedora"; }
%{?fc24:name='Fedora'; version='24'; path="fedora"; }
%{?fc23:name='Fedora'; version='23'; path="fedora"; }
%{?fc22:name='Fedora'; version='22'; path="fedora"; }
%{?fc21:name='Fedora'; version='21'; path="fedora"; }
%{?fc20:name='Fedora'; version='20'; path="fedora"; }
%{?fc19:name='Fedora'; version='19'; path="fedora"; }
%{?fc18:name='Fedora'; version='18'; path="fedora"; }
%{?fc17:name='Fedora'; version='17'; path="fedora"; }
%{?fc16:name='Fedora'; version='16'; path="fedora"; }
%{?fc15:name='Fedora'; version='15'; path="fedora"; }
%{?fc14:name='Fedora'; version='14'; path="fedora"; }
%{?fc13:name='Fedora'; version='13'; path="fedora"; }
%{?fc12:name='Fedora'; version='12'; path="fedora"; }
%{?fc11:name='Fedora'; version='11'; path="fedora"; }
%{?fc10:name='Fedora'; version='10'; path="fedora"; }
%{?fc9:name='Fedora'; version='9'; path="fedora"; }
%{?fc8:name='Fedora'; version='8'; path="fedora"; }
%{?fc7:name='Fedora'; version='7'; path="fedora"; }
%{?fc6:name='Fedora'; version='6'; path="fedora"; }
%{?fc5:name='Fedora'; version='5'; path="fedora"; }
%{?fc4:name='Fedora'; version='4'; path="fedora"; }
%{?fc3:name='Fedora'; version='3'; path="fedora"; }
%{?fc2:name='Fedora'; version='2'; path="fedora"; }
%{?fc1:name='Fedora'; version='1'; path="fedora"; }
%{?rh9:name='Red Hat'; version='9';   path="redhat"; }

%{__cat} <<EOF >atomic.repo
# Name: Atomic Rocket Turtle RPM Repository for $name $version - $builder
# URL: http://www.atomicrocketturtle.com/
[atomic]
name = $name \$releasever - atomic
mirrorlist = http://updates.atomicorp.com/channels/mirrorlist/atomic/$path-\$releasever-\$basearch
enabled = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
	file:///etc/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt
gpgcheck = 1

# Almost Stable, release candidates for [atomic]
[atomic-testing]
name = $name \$releasever - atomic - (Testing)
mirrorlist = http://updates.atomicorp.com/channels/mirrorlist/atomic-testing/$path-\$releasever-\$basearch
enabled = 0
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.art.txt
	file:///etc/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt
gpgcheck = 1
EOF

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 %{SOURCE1}  %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.art.txt
%{__install} -Dp -m0644 %{SOURCE2}  %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt
%{__install} -Dp -m0644 atomic.repo %{buildroot}%{_sysconfdir}/yum.repos.d/atomic.repo
#%{__install} -Dp -m0644 atomic.up2date %{buildroot}%{_sysconfdir}/sysconfig/rhn/sources.atomic.txt



%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.repos.d/atomic.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.art.txt
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt


%changelog
* Thu Dec 8 2016 Scott R. Shinn <scott@atomicorp.com> 1.0-21
- Add Fedora 25

* Wed Dec 30 2015 Scott R. Shinn <scott@atomicorp.com> 1.0-20
- Drop priority flag for quantum integration

* Wed Jun 3 2014 Scott R. Shinn <scott@atomicorp.com> 1.0-19
- Add Fedora 22 

* Tue Apr 15 2014 Scott R. Shinn <scott@atomicorp.com> 1.0-18
- Add Atomicorp GPG key

* Wed Oct 23 2013 Scott R. Shinn <scott@atomicorp.com> 1.0-17
- Shift to updates.atomicorp.com cluster for mirrorlists
- Add stub for Fedora 20

* Tue Jan 29 2013 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-16
- Add stubs for Fedora 19 and RHEL 7

* Thu Jan 17 2013 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-15
- added Fedora 18

* Tue Nov 8 2011 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-14
- added Fedora 16-17

* Mon Jan 3 2011 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-13
- added RHEL/CentOS 6
- added Fedora 14
- added Fedora 15

* Thu Jul 29 2010 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-12
- added Fedora 13

* Sun Dec 13 2009 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-11
- added Fedora 12

* Mon Dec 29 2008 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-10
- added Fedora 10 and 11 support
- changed over to new mirrorlist format

* Fri Aug 22 2008 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-8
- added Fedora 9 support

* Fri Nov 30 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-7
- added Fedora 8 support
- changed the channel priority

* Mon Apr 30 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-6
- added fc7 support

* Fri Mar 30 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-5
- Update to replace the old atomic.repo file

* Tue Feb 6 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-4
- added in up2date cheat sheet
- merged in some configuration changes from the rpmforge-release package


* Wed Jan 3 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-3
- changed name to atomic-release

* Mon Jul 18 2006 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-2
- typo fix on repos dir

* Mon Jun 12 2006 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0-1
- initial build of the atomic yum config package

